*Last update: 2026-10-22*

> [!WARNING]
> **Warning:** v5 is in open beta. Breaking changes may be made to v5 while in beta and will be listed in the [Display \& Video 360 API release
> notes](https://developers.google.com/display-video/api/release-notes). This document will be updated as needed to reflect the live beta version.

## Migrate your application

Migrating from v4 to v5 requires updating your endpoint URLs to call v5,
updating your application to account for breaking changes, and reviewing any new
features that may benefit your integration.

### Update your API calls from v4 to v5

To use v5 instead of v4, you need to update your requests to use new v5
endpoints.

For example, to call the [`advertisers.get`](https://developers.google.com/display-video/api/reference/rest/v4/advertisers/get) method with v4, use the
following URL:

    GET https://displayvideo.googleapis.com/v4/advertisers/advertiserId

For v5, update the URL to the following:

    GET https://displayvideo.googleapis.com/v5/advertisers/advertiserId

If you are using a [client library](https://developers.google.com/display-video/api/samples-libraries) to make requests to the
API, use the most recent version of the client library and update your
configuration to use v5.

### Make required changes

Display \& Video 360 API v5 introduces a number of breaking changes. Review the following
instructions and make the required changes relevant to your existing use of the
Display \& Video 360 API.

For an exhaustive list of the differences between Display \& Video 360 API v4 and v5, see
the [release notes](https://developers.google.com/display-video/api/release-notes#october_22_2026).

#### Update inventory source retrieval and targeting to use new IDs and types

Display \& Video 360 API v5 changes how inventory source deals and auction packages are
retrieved and targeted.

In v4, `InventorySource` resources retrieved using the `inventorySources`
service represent both inventory source deals and auction packages. Both deals
and auction packages are targeted using `TARGETING_TYPE_INVENTORY_SOURCE`.

In v5, inventory source deals and auction packages are handled separately:

- Inventory source deals are targeted using `TARGETING_TYPE_INVENTORY_SOURCE_DEAL`, retrieved using the [`advertisers.inventorySources`](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.inventorySources#methods) and [`partners.inventorySources`](https://developers.google.com/display-video/api/reference/rest/v5/partners.inventorySources#methods) services, and targeted using the `AssignedTargetingOption` field [`inventorySourceDetails`](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adGroups.targetingTypes.assignedTargetingOptions#AssignedTargetingOption.FIELDS.inventory_source_details).
- Auction packages are targeted using `TARGETING_TYPE_AUCTION_PACKAGE`, retrieved using the [`targetingTypes.targetingOptions`](https://developers.google.com/display-video/api/reference/rest/v5/targetingTypes.targetingOptions#methods) service, and targeted using the `AssignedTargetingOption` field [`auctionPackageDetails`](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adGroups.targetingTypes.assignedTargetingOptions#AssignedTargetingOption.FIELDS.auction_package_details).

This update changes the IDs used for existing deals and auction packages, so you
can't use any previously cached `InventorySource` resource IDs after migration.

In addition to these changes, v5 also removes the ability to create, update, and
edit accessors of inventory sources.

#### Update audience targeting logic for Demand Gen and YouTube resources

Display \& Video 360 API v5 updates audience targeting logic for Demand Gen and YouTube
resources to use individual assigned options for each targeted audience list.

In v4, all audience targeting is managed using `TARGETING_TYPE_AUDIENCE_GROUP`.

In v5, audience targeting assigned to Demand Gen and YouTube ad groups is
managed using one of the following targeting types and
[`AssignedTargetingOption`](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adGroups.targetingTypes.assignedTargetingOptions#AssignedTargetingOption) resource fields,
depending on the type of audience:

- `TARGETING_TYPE_COMBINED_AUDIENCE` using [`combinedAudienceDetails`](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adGroups.targetingTypes.assignedTargetingOptions#AssignedTargetingOption.FIELDS.combined_audience_details)
- `TARGETING_TYPE_CUSTOM_LIST` using [`customListDetails`](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adGroups.targetingTypes.assignedTargetingOptions#AssignedTargetingOption.FIELDS.custom_list_details)
- `TARGETING_TYPE_FIRST_PARTY_AND_PARTNER_AUDIENCE` using [`firstPartyAndPartnerAudienceDetails`](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adGroups.targetingTypes.assignedTargetingOptions#AssignedTargetingOption.FIELDS.first_party_and_partner_audience_details)
- `TARGETING_TYPE_GOOGLE_AUDIENCE` using [`googleAudienceDetails`](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adGroups.targetingTypes.assignedTargetingOptions#AssignedTargetingOption.FIELDS.google_audience_details)
- `TARGETING_TYPE_LOOKALIKE_AUDIENCE` using [`lookalikeAudienceDetails`](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adGroups.targetingTypes.assignedTargetingOptions#AssignedTargetingOption.FIELDS.lookalike_audience_details)

Line items will continue to use a single `TARGETING_TYPE_AUDIENCE_GROUP`
[`AssignedTargetingOption`](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adGroups.targetingTypes.assignedTargetingOptions#AssignedTargetingOption) to manage audience
targeting for all types.

#### Upgrade to the Data Manager API for Customer Match audience management

Display \& Video 360 API v5 removes the ability to create and manage the membership of
Customer Match audiences by removing the following methods:

- `firstPartyAndPartnerAudiences.create`
- `firstPartyAndPartnerAudiences.editCustomerMatchMembers`
- `firstPartyAndPartnerAudiences.patch`

To continue managing Customer Match audiences, [upgrade your workflows to use
the Data Manager API](https://developers.google.com/data-manager/api/devguides/audiences/display-video/customer-match/upgrade).

#### Add support for retrieving Digital Out of Home insertion orders

Display \& Video 360 API v5 adds support for retrieving Digital Out of Home insertion
orders.

If your advertisers use Digital Out of Home advertising, upgrade any integration
calling [`advertisers.insertionOrders.list`](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.insertionOrders/list) in anticipation of the
inclusion of [`InsertionOrder`](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.insertionOrders#InsertionOrder) resources with
[`insertionOrderType`](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.insertionOrders#InsertionOrder.FIELDS.insertion_order_type) field value of `OUT_OF_HOME`.

In v5, line items under Digital Out of Home insertion orders will continue to be
retrievable as they were in v4.

#### Update references to Adloox to Peer39

In v5, fields and enum values referencing Display \& Video 360 third-party brand
suitability integration with Adloox (also referred to as Scope3) have been
updated to Peer39:

- [`ThirdPartyVerifierAssignedTargetingOptionDetails`](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adGroups.targetingTypes.assignedTargetingOptions#AssignedTargetingOption.ThirdPartyVerifierAssignedTargetingOptionDetails) field `adloox` has been replaced by [`peer39`](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adGroups.targetingTypes.assignedTargetingOptions#AssignedTargetingOption.ThirdPartyVerifierAssignedTargetingOptionDetails.FIELDS.peer39).
- [`PartnerCostType`](https://developers.google.com/display-video/api/reference/rest/v5/PartnerCost#PartnerCostType) enum values `PARTNER_COST_TYPE_ADLOOX` and `PARTNER_COST_TYPE_ADLOOX_PREBID` have been replaced by `PARTNER_COST_TYPE_PEER39` and `PARTNER_COST_TYPE_PEER39_PREBID`.

#### Update fields for YouTube line items, ad groups, and ads

In v5, various fields in [`LineItem`](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.lineItems#LineItem), [`AdGroup`](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adGroups#AdGroup), and
[`AdGroupAd`](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adGroupAds#AdGroupAd) resources have been removed or updated. Update your
resource retrieval logic to account for these changes.

In the [`LineItem`](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.lineItems#LineItem) resource:

- [`YoutubeAndPartnersSettings`](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.lineItems#YoutubeAndPartnersSettings) field `relatedVideoIds` has been replaced by [`relatedVideos`](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.lineItems#YoutubeAndPartnersSettings.FIELDS.related_videos).

In the [`LineItem`](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.lineItems#LineItem) and [`AdGroup`](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adGroups#AdGroup) resources:

- [`TargetingExpansionConfig`](https://developers.google.com/display-video/api/reference/rest/v5/TargetingExpansionConfig) fields `audienceExpansionSeedListExcluded` and `audienceExpansionLevel` have been removed.

In the [`AdGroupAd`](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adGroupAds#AdGroupAd) resource:

- A [`containsSyntheticMedia`](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adGroupAds#AdGroupAd.FIELDS.contains_synthetic_media) field has been added.
- The `trackingUrl` field in [`AudioAd`](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adGroupAds#AudioAd), [`CommonInStreamAttribute`](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adGroupAds#CommonInStreamAttribute), and [`VideoPerformanceAd`](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adGroupAds#VideoPerformanceAd) objects has been split into two fields, `trackingUrl` and `userSpecifiedTrackingUrl`, to differentiate between the URL used for tracking and the tracking URL specified by the user.

#### Remove references to deprecated enum values

In v5, previously deprecated enum values have been fully removed. While use of
these values in requests to the API would result in an error in v4, this change
removes any reference to them from v5 client libraries. Any references to these
deprecated values in your code may cause errors when upgrading to v5.

Enum types that have impacted values include
[`ContentRatingTier`](https://developers.google.com/display-video/api/reference/rest/v5/ContentRatingTier),
[`GoogleAudienceType`](https://developers.google.com/display-video/api/reference/rest/v5/GoogleAudienceType), [`SdfVersion`](https://developers.google.com/display-video/api/reference/rest/v5/SdfConfig#SdfVersion), and
[`SensitiveCategory`](https://developers.google.com/display-video/api/reference/rest/v5/SensitiveCategory). See our [release
notes](https://developers.google.com/display-video/api/release-notes#october_22_2026) for an exhaustive list of all removed enum
values.

### Review new features

In addition to the breaking changes, v5 also introduces the following new
features:

- Full management of YouTube video and channel exclusion targeting at the advertiser level under the targeting types `TARGETING_TYPE_YOUTUBE_VIDEO` and `TARGETING_TYPE_YOUTUBE_CHANNEL`. In v4, this targeting was read-only.
- The ability to create Digital Out of Home [`InsertionOrder`](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.insertionOrders#InsertionOrder) resources.
- Support for ad groups using assigned creatives to generate ads through the addition of [`AdGroup`](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adGroups#AdGroup) fields [`adSource`](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adGroups#AdGroup.FIELDS.ad_source) and [`creativeAssignments`](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adGroups#AdGroup.FIELDS.creative_assignments) and the [`AdGroupAd`](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adGroupAds#AdGroupAd) field [`parentCreativeId`](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adGroupAds#AdGroupAd.FIELDS.parent_creative_id).
- The ability to create and retrieve [`LookalikeAudience`](https://developers.google.com/display-video/api/reference/rest/v5/lookalikeAudiences#LookalikeAudience) resources.
- A new [`containsSyntheticMedia`](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adGroupAds#AdGroupAd.FIELDS.contains_synthetic_media) field in the [`AdGroupAd`](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adGroupAds#AdGroupAd) resource.